Subject: RE: [nemo] solving Home Network models issue 8

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 3 Oct 2005 18:14:29 +0200

Hi Jari:

Here is a proposed change to fix issue 8:

5.5  Applicability

   The Extended Home Network keeps the MIP6 concept of a Home Network

   for both Mobile Nodes and Mobile Routers to take their Home Address

   from.  Since there is no overlap between the prefixes that are

   assigned to MNPs and prefix(es) that are dedicated to the Home Link,

   it is possible for MNs and Mobile Routers to coexist with that model.

   Also, when the Home Address is derived from the prefix on the Home

   Link, the Home Agent behavior on the link trivially extends that of

   MIP and the support for that configuration should be available with

   all implementations.

   On the other hand, there are a number of issues with the support of a

   Home Address that is derived from the MNP, as detailed in

   Section 5.3.  Though it is feasible, this configuration is not

   recommended for deployment.

What do you think?

Pascal

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of Pascal Thubert (pthubert)
Sent: Thursday, September 29, 2005 7:12 PM
To: [email-masked]
Subject: [nemo] solving Home Network models issue 8

Hi:

I'm trying to get a consensus to solve issue 8:

http://www.mobilenetworks.org/~pthubert/draft-ietf-nemo-home-network-models-issue8.txt 

The idea is to add some text to say that we do not recommend forming a home address from MNP in extended Home Network case. Thoughts anyone?

 

Pascal Thubert
software engineer 

Cisco Systems
Village d'Entreprises GREEN SIDE
400, Avenue Roumanille
Bâtiment T3
06410 BIOT - Sophia-Antipolis 

[email-masked] <mailto:[email-masked]>  

tel: 
mobile: 

+33 4 97 23 26 34
+33 6 19 98 29 85

---

From: Jari Arkko <[email-masked]>
Date: Mon, 03 Oct 2005 19:53:14 +0300

Looks good. Thanks.

Pascal Thubert (pthubert) wrote:

> ------------------------------------------------------------------------
>
> *From:* [email-masked] [mailto:[email-masked]] *On 
> Behalf Of *Pascal Thubert (pthubert)
> *Sent:* Thursday, September 29, 2005 7:12 PM
> *To:* [email-masked]
> *Subject:* [nemo] solving Home Network models issue 8
>
> Hi:
>
> I’m trying to get a consensus to solve issue 8:
>
> <http://www.mobilenetworks.org/%7Epthubert/draft-ietf-nemo-home-network-models-issue8.txt> 
>
>
> The idea is to add some text to say that we do not recommend forming a 
> home address from MNP in extended Home Network case. Thoughts anyone?
>
> 	
>
> 	
>
> *Pascal Thubert*
> /software engineer/
>
> 	
>
> *Cisco Systems*

---

From: Vijay Devarapallli <[email-masked]>
Date: Mon, 3 Oct 2005 12:10:11 -0700

> recommended for deployment.
this is a bit too strong. there are two issues.

1) the HA needs to do a special check to verify if the home address
is from the home link prefix. in RFC 3775, the HA just compares
the address to the prefix on the home link and rejects the BU if
the home address is not from that prefix. we extended that in
RFC 3963.

Mobile IPv6 specification [1] requires that the Home Address in
the Binding Update be configured from a prefix advertised on the
home link. Otherwise the Binding Update is rejected with status
value 132 [1]. This specification relaxes this requirement so
that the Home Agent rejects the Binding Update only if the Home
Address does not belong to the prefix that the Home Agent is
configured to serve.

2) returning home. there are many issues in returning home.

since we have already fixed 1) and 2) might not be applicable
in many deployments, the above statement you propose is
too strong.

how about the following?

There are a number of issues with returning home when a mobile
router configures its home address from the MNP as described
in section 5.3. Therefore we do not recommend this mechanism
if the mobile routers attach to the home network.

Vijay

---

From: Ryuji Wakikawa <[email-masked]>
Date: Wed, 5 Oct 2005 12:34:41 +0900

Hi Vijay and Pascal

Vijay's proposed text looks better.

I also think we should state these two issues in the document.
How about putting  the vijay's texts(1 and 2) in section 5.3?!

ryuji